Subject: [PATCH] Remove intangible property

From: João Guerra <[email-masked]>
Date: Tue, 8 Apr 2025 16:34:47 +0200

The intangible property is not needed when the text is already invisible.

>From the Elisp manual:

Beware: this property operates at a very low level, and affects a lot of code in
unexpected ways. So use it with extreme caution. A common misuse is to put an
intangible property on invisible text, which is actually unnecessary since the
command loop will move point outside of the invisible text at the end of each
command anyway. See Adjusting Point After Commands. For these reasons, this
property is obsolete; use the cursor-intangible property instead.